<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="../../wtp.xsl"?>
<html>
    <head>
        <meta
            name="root"
            content="../../../" />
        <title>Web Tools Platform Release 2.0.3</title>
    </head>
    <body>
        <h1>WTP 2.0.3</h1>
        <h2>WTP 2.0.3 Released</h2>
        <p>
            WTP 2.0.3 was released on 2008-07-14. Release 2.0.3 is a maintenance release, on the Europa stream of WTP, to fix 8 defects present in Release 2.0.2:
            <ul>
                <li>
                    <a href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=220297">220297</a>
                    Entity generation creates Embeddables with compile errors in some cases.
                </li>
                <li>
                    <a href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=219889">219889</a>
                    ModulePublishInfo loadResource and saveResource are not symmetrical.
                </li>
                <li>
                    <a href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=219627">219627</a>
                    NullPointerException Could not publish to the server.
                </li>
                <li>
                    <a href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=222531">222531</a>
                    Regression between wtp 2.0.1 and 2.0.2 in J2EEFlexProjDeployable.
                </li>
                <li>
                    <a href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=201318">201318</a>
                    EAR Libraries container fails to initialize ...
                </li>
                <li>
                    <a href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=235893">235893</a>
                    web.xml is corrupted when using add new Servlet wizard.
                </li>
                <li>
                    <a href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=233196">233196</a>
                    Class cast exception while deploying to Tomcat.
                </li>
                <li>
                    <a href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=230256">230256</a>
                    JEEDeployableFactory refuses to load ejb3 module.
                </li>
            </ul>
        </p>
        <p>
            You can download the
            <a href="http://download.eclipse.org/webtools/downloads/drops/R2.0/R-2.0.3-20080710044639/">2.0.3 zip files</a>
            or, from an Existing Europa based installation, use Update Manager to "Search for Updates of Existing Features".
        </p>
    </body>
</html>